/**
 * Created by jmoutard on 17/05/16.
 */

'use strict';

angular.module('adf.electre')
    .value('defaultDashboard', {
        "title": "Default layout",
        "structure": '2 rows (12-(3-3-3-3))',
        "rows" : [{
            "columns" : [{
                "styleClass" : 'col-md-12'
            }]
        },{
            "columns" : [{
                "styleClass" : 'col-md-3'
            },{
                "styleClass" : 'col-md-3'
            },{
                "styleClass" : 'col-md-3'
            },{
                "styleClass" : 'col-md-3'
            }]
        }]
    })
    .config([
        "dashboardProvider", "$stateProvider", "$urlRouterProvider",
        function (dashboardProvider, $stateProvider, $urlRouterProvider) {
            /* NAVBAR CONFIG */
            $urlRouterProvider.otherwise('/home');
            $stateProvider
                .state('home', {
                    url: "/home",
                    templateUrl : "/resource/rsc/electre/partials/default.html"
                })/*.state('login', {
                    url: "/login",
                    templateUrl: 'partials/login.html', //TODO USE A LAVOISIER AUTHENTICATOR VIEW
                    controller: 'loginCtrl',
                    controllerAs: 'login'
                }).state('logout', {
                    url: "/home",
                    templateUrl : "partials/default.html",
                    resolve: {
                        logout: [
                            "loginService",
                            function (loginService) {
                                loginService.logout();
                                return;
                            }
                        ]
                    }
                })*/.state('board', {
                    url: "/board/:id",
                    templateUrl: '/resource/rsc/electre/partials/dashboard.html',
                    controller: 'dashboardCtrl',
                    controllerAs: 'dashboard',
                    resolve: {
                        data: [
                            "$stateParams", "storeService",
                            function ($stateParams, storeService) {
                                return storeService.get($stateParams.id);
                            }
                        ]
                    }
                });

            /* ADF CONFIG */
            dashboardProvider.widgetsPath("\\resource\\rsc\\electre\\widgets");
        }
    ]);